Page MenuHomePhabricator

<blockquote> tags on different line from content of blockquote results alienated content
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Create a page containing this:
<blockquote>First paragraph

Second paragraph

Third paragraph

Fourth paragraph</blockquote>
  1. Open the page in VisualEditor.
  1. Try to change anything in the second or third paragraphs.

Results:
You cannot edit the middle paragraphs. You can edit the line breaks. You can edit the first and fourth paragraphs, which are the ones on the same lines as the blockquote tag. If they're not—if you write

<blockquote>
First paragraph

Second paragraph

Third paragraph

Fourth paragraph
</blockquote>

instead, then you can't edit any of them.

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2015, 6:08 PM

In VE, when hovering over second and third paragraphs in the given blockquote, there is a warning " This content is editable only in Edit source for now".

This happens even with a single paragraph if the blockquote isn't on the same line as the content. e.g.,

<blockquote>
test
</blockquote>

Is not editable;

<blockquote>test</blockquote>

I have no idea how common the former styling is, but I ran across it in the wild this morning.

LuisVilla renamed this task from Multi-paragraph <blockquote> results in some paragraphs being alienated content to <blockquote> tags on different line from content of blockquote results alienated content.Apr 8 2015, 2:29 PM

See https://en.wikipedia.org/wiki/Opium_of_the_people#Heinrich_Heine for an example. It's just a single, short paragraph. The {{quote}} templates on that page can be edited, but the <blockquote>s can't be.

Related: When you change the format of several consecutive paragraphs to blockquote in VE, every single paragraph will be wrapped into <blockquote> and stripped the linebreaks, while it is probably desired to wrap them into one <blockquote> only.
Also note that the PHP parser will add <p> tags even for <blockquotes> without linebreaks.

I submitted a patch on T76426, which would also resolve this issue. (Let's discuss it there.)

Related: When you change the format of several consecutive paragraphs to blockquote in VE, every single paragraph will be wrapped into <blockquote> and stripped the linebreaks, while it is probably desired to wrap them into one <blockquote> only.

This is also fixed in the proposed patch.

matmarex closed this task as Resolved.May 29 2019, 11:08 PM
matmarex claimed this task.

This is now resolved by the patches on T76426.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 29 2019, 11:10 PM